Question

5
Replies
174
Views
RyanS803 Member since 2016 2 posts
Stratosphere Technical Consulting
Posted: 4 years ago
Last activity: 4 years 7 months ago
Closed

Is Java 1.8.0_73 supported for PRPC 7.1.9? Or should we use Java 7?

Is Java 1.8.0_73 supported for PRPC 7.1.9? Or should we use Java 7?

I am running into this error in SMA and I have found online articles linking it to a Java 8 error:

Compilation of JSP File '/jsp/services2/DisplayNodes.jsp' failed:


DisplayNodes.jsp:80:41: The type java.util.Map$Entry cannot be resolved. It is indirectly referenced from required .class files <%@page contentType="text/html" import="com.pega.jmx.connection.managenodes.NodeManager,java.net.URLEncoder,java.util.TreeMap,java.util.Hashtable,java.util.Iterator,javax.management.ObjectName,com.pega.jmx.connection.managenodes.Node" ^-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------^ DisplayNodes.jsp:153:15: java.util.Arrays cannot be resolved to a type java.util.Arrays.sort(nodes); ^-------------^
System Administration
Moderation Team has archived post
Share this page LinkedIn